rapidjson::BasicOStreamWrapper< StreamType > Class Template Reference

Wrapper of `std::basic_ostream` into RapidJSON's Stream concept. More...

`#include <ostreamwrapper.h>`

## Public Types

typedef StreamType::char_type | Ch

## Public Member Functions

| BasicOStreamWrapper (StreamType &stream)
void | Put (Ch c)
void | Flush ()
char | Peek () const
char | Take ()
size_t | Tell () const
char * | PutBegin ()
size_t | PutEnd (char *)

## Detailed Description

### template<typename StreamType>
class rapidjson::BasicOStreamWrapper< StreamType >

Wrapper of `std::basic_ostream` into RapidJSON's Stream concept.

The classes can be wrapped including but not limited to:

- `std::ostringstream`
- `std::stringstream`
- `std::wpstringstream`
- `std::wstringstream`
- `std::ifstream`
- `std::fstream`
- `std::wofstream`
- `std::wfstream`

Template Parameters

  StreamType | Class derived from `std::basic_ostream`.

The documentation for this class was generated from the following file:

- include/rapidjson/ostreamwrapper.h